svn commit: samba r21026 - in branches/SAMBA_4_0/source/script: .

abartlet at samba.org abartlet at samba.org
Fri Jan 26 04:37:06 GMT 2007


Author: abartlet
Date: 2007-01-26 04:37:06 +0000 (Fri, 26 Jan 2007)
New Revision: 21026

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=21026

Log:
Add a helpful script to do the things we need to do to make a release
tarball.

Andrew Bartlett

Added:
   branches/SAMBA_4_0/source/script/mkrelease.sh


Changeset:
Added: branches/SAMBA_4_0/source/script/mkrelease.sh
===================================================================
--- branches/SAMBA_4_0/source/script/mkrelease.sh	2007-01-26 02:17:11 UTC (rev 21025)
+++ branches/SAMBA_4_0/source/script/mkrelease.sh	2007-01-26 04:37:06 UTC (rev 21026)
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+FROM=$1
+VERSION=$2
+
+svn export $FROM samba-$VERSION
+
+( cd samba-$VERSION || exit 1
+  (cd source && ./autogen.sh ) || exit 1
+  rm -rf webapps/qooxdoo-*-sdk/frontend/framework/.cache || exit 1
+) || exit 1
+
+tar -zcf samba-$VERSION.tar.gz samba-$VERSION


Property changes on: branches/SAMBA_4_0/source/script/mkrelease.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list